Page MenuHomePhabricator

Test `visual` mode through query string
Closed, ResolvedPublic

Description

T234403 will introduce a visual mode to the Reply tool.

This task is about creating a way for us to test this new mode in production using a custom URL/query string parameter similar to what we have implemented in the past: T243621.

URL

?dtvisual=1

Availability

The visual mode should be accessible via this custom URL on all wikis where DiscussionTools are currently enabled:

Blockers

None. We are comfortable with the visual mode being available by way of a custom URL before the functionality is fully implemented (e.g. there is still some mode-switching work to be done).

  • Thinking: considering how the visual mode would need to be accessed (via a custom URL that would need to be manually loaded on each page), we can assume the people trying it will understand the feature as being in an experimental state and expect there to be some bugs and functionality that has not yet been implemented.

Done

  • The Reply tool's visual mode should be available on pages where discussions happen (talk and non-talk namespaces included) on the wikis listed in the "Availability" section above.

Event Timeline

Change 594753 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Allow enableVisual to be set by ?dtvisual=1

https://gerrit.wikimedia.org/r/594753

Change 594753 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Allow visual mode to tested with ?dtvisual=1

https://gerrit.wikimedia.org/r/594753

matmarex moved this task from Code Review to QA on the Editing-team (Q3 2019-2020 Kanban Board) board.
ppelberg moved this task from Inbox to High Priority on the Editing QA board.May 7 2020, 10:32 PM
ppelberg updated the task description. (Show Details)May 8 2020, 8:29 PM

Works on Beta cluster, will revisit this again after deployment on production.

ppelberg moved this task from High Priority to Inbox on the Editing QA board.May 14 2020, 10:15 PM
ppelberg moved this task from Inbox to High Priority on the Editing QA board.
ppelberg moved this task from High Priority to Inbox on the Editing QA board.

It appears the visaul mode is not available via ?dtvisual=1 at our four partner wikis.

I am not seeing this on production yet, it looks like it should have landed by now since group2 has already been updated to 1.35.0-wmf.32.

Next step

  • Why is this so?

Looks like en.wiki is still running wmf31: https://en.wikipedia.org/wiki/Special:Version

ppelberg added a comment.EditedMay 18 2020, 10:30 PM

18-May update
We expect [1] the visual mode of the Replying tool to become available to people at our partner wikis next Monday, 25-May.

Reasons:

CC'ing so you're aware:


  1. Considering the deployment is blocked on a yet-to-be resolved task(s) (T249964) we are not certain wmf32 will get deployed on 25-May.
JTannerWMF edited projects, added Skipped QA; removed Editing QA.May 20 2020, 5:51 PM
JTannerWMF added a subscriber: JTannerWMF.

In Board Refinement we determined this was QAed enough and can be closed out because it will ride next week's train.

ppelberg closed this task as Resolved.Jun 1 2020, 1:46 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 1 2020, 1:46 AM